org.eclipse.jface.viewers

## Interface IDelayedLabelDecorator

All Superinterfaces:
  IBaseLabelProvider, ILabelDecorator

All Known Subinterfaces:
  IDecoratorManager

    public interface IDelayedLabelDecorator
    extends ILabelDecorator

A delayed label decorator is a label decorator that may not have a decoration available immediately. This interface defines the methods for requesting the preparation of a decorator for an object and for querying if the decorator is ready. Interested parties should register an ILabelProviderListener with a delayed label decorator in order to be informed when the decoration is ready.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `prepareDecoration(Object element, String originalText)` Prepare the element for decoration.

### Methods inherited from interface org.eclipse.jface.viewers.ILabelDecorator

`decorateImage, decorateText`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Method Detail

#### prepareDecoration

    boolean prepareDecoration(Object element,
                              String originalText)

Prepare the element for decoration. If it is already decorated and ready for update return true. If decoration is pending return false.

Parameters:
  `element` - The element to be decorated
  `originalText` - The starting text.
Returns:
  boolean `true` if the decoration is ready for this element